<?php
/**
 * @file
 *
 * Default views for voicemail module.
 */

/**
 * Implementation of hook_views_default_views().
 */
function voicemail_views_default_views() {
  $views = array();

  $view = new view;
  $view->name = 'voicemail_box';
  $view->description = 'Voicemail box';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'files';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'sent_on' => array(
      'label' => 'Sent',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'sent_on',
      'table' => 'voicemail_message',
      'field' => 'sent_on',
      'relationship' => 'none',
    ),
    'caller_number' => array(
      'label' => 'Number',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'caller_number',
      'table' => 'voicemail_message',
      'field' => 'caller_number',
      'relationship' => 'none',
    ),
    'caller_name' => array(
      'label' => 'Name',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'caller_name',
      'table' => 'voicemail_message',
      'field' => 'caller_name',
      'relationship' => 'none',
    ),
    'voicemail_player' => array(
      'label' => 'Message',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_file' => 0,
      'exclude' => 0,
      'id' => 'voicemail_player',
      'table' => 'files',
      'field' => 'voicemail_player',
      'relationship' => 'none',
    ),
    'fid_isnew' => array(
      'label' => 'Mark read',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'fid_isnew',
      'table' => 'voicemail_message',
      'field' => 'fid_isnew',
      'relationship' => 'none',
    ),
    'fid_delete' => array(
      'label' => 'Delete',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'fid_delete',
      'table' => 'voicemail_message',
      'field' => 'fid_delete',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'eid' => array(
      'default_action' => 'not found',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'breadcrumb' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'eid',
      'table' => 'voicemail_box',
      'field' => 'eid',
      'validate_user_argument_type' => 'uid',
      'validate_user_roles' => array(
        '2' => 0,
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_fixed' => '',
      'default_argument_user' => 0,
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'voipuser' => 0,
        'page' => 0,
        'profile' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(),
      'validate_argument_type' => 'tid',
      'validate_argument_transform' => 0,
      'validate_user_restrict_roles' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'folder' => array(
      'operator' => '=',
      'value' => 'inbox',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'folder_op',
        'identifier' => 'folder',
        'label' => 'VoiceMail: Folder',
        'optional' => 1,
        'remember' => 0,
      ),
      'case' => 1,
      'id' => 'folder',
      'table' => 'voicemail_box',
      'field' => 'folder',
      'relationship' => 'none',
    ),
    'is_new' => array(
      'operator' => '=',
      'value' => 'All',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'operator' => '',
        'identifier' => 'is_new',
        'label' => 'Is new',
        'optional' => 1,
        'remember' => 1,
      ),
      'id' => 'is_new',
      'table' => 'voicemail_box',
      'field' => 'is_new',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('empty', 'No voicemail messages.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'sent_on' => 'sent_on',
      'caller_number' => 'caller_number',
      'caller_name' => 'caller_name',
      'voicemail_player' => 'voicemail_player',
      'fid_isnew' => 'fid_isnew',
      'fid_delete' => 'fid_delete',
    ),
    'info' => array(
      'sent_on' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'caller_number' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'caller_name' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'voicemail_player' => array(
        'separator' => '',
      ),
      'fid_isnew' => array(
        'separator' => '',
      ),
      'fid_delete' => array(
        'separator' => '',
      ),
    ),
    'default' => 'sent_on',
  ));
  $handler = $view->new_display('voipviews', 'VoIP', 'voipviews_1');
  $handler->override_option('fields', array(
    'fileurl' => array(
      'label' => '',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 0,
        'ellipsis' => 0,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_file' => 0,
      'exclude' => 0,
      'id' => 'fileurl',
      'table' => 'files',
      'field' => 'fileurl',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
    'fid_isnew' => array(
      'label' => '',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'fid_isnew',
      'table' => 'voicemail_message',
      'field' => 'fid_isnew',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'sent_on' => array(
      'label' => 'Received on ',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'large',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'sent_on',
      'table' => 'voicemail_message',
      'field' => 'sent_on',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'caller_number' => array(
      'label' => 'from number',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'caller_number',
      'table' => 'voicemail_message',
      'field' => 'caller_number',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'caller_name' => array(
      'label' => 'with caller name',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'caller_name',
      'table' => 'voicemail_message',
      'field' => 'caller_name',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'fid_delete' => array(
      'label' => 'Delete',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'link_class' => '',
        'alt' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'exclude' => 0,
      'id' => 'fid_delete',
      'table' => 'voicemail_message',
      'field' => 'fid_delete',
      'relationship' => 'none',
    ),
    'ivr_next_row' => array(
      'label' => '',
      'alter' => array(
        'alter_text' => FALSE,
        'text' => '',
        'make_link' => FALSE,
        'path' => '',
        'alt' => '',
        'link_class' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'trim' => FALSE,
        'max_length' => '',
        'word_boundary' => TRUE,
        'ellipsis' => TRUE,
        'strip_tags' => TRUE,
        'html' => FALSE,
      ),
      'empty' => '',
      'hide_empty' => NULL,
      'empty_zero' => NULL,
      'exclude' => 0,
      'id' => 'ivr_next_row',
      'table' => 'voipviews',
      'field' => 'ivr_next_row',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
    'ivr_return' => array(
      'label' => '',
      'alter' => array(
        'alter_text' => FALSE,
        'text' => '',
        'make_link' => FALSE,
        'path' => '',
        'alt' => '',
        'link_class' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'trim' => FALSE,
        'max_length' => '',
        'word_boundary' => TRUE,
        'ellipsis' => TRUE,
        'strip_tags' => TRUE,
        'html' => FALSE,
      ),
      'empty' => '',
      'hide_empty' => NULL,
      'empty_zero' => NULL,
      'exclude' => 0,
      'id' => 'ivr_return',
      'table' => 'voipviews',
      'field' => 'ivr_return',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('style_plugin', 'voipviews_list');
  $handler->override_option('style_options', array());
  $handler->override_option('row_plugin', 'voipviews_row_ivr');
  $handler->override_option('row_options', array(
    'ivr_prompt_intro' => 'Options.',
    'ivr_invalid_msg' => 'Invalid option selected.',
    'ivr_no_input_msg' => 'Invalid option selected.',
    'ivr_max_attempts' => '3',
    'ivr_timeout' => '5',
    'ivr_options' => array(
      'fileurl' => '',
      'fid_isnew' => '',
      'sent_on' => '1',
      'caller_number' => '1',
      'caller_name' => '1',
      'fid_delete' => '2',
      'ivr_next_row' => '3',
      'ivr_return' => '#',
    ),
    'ivr_prompt' => array(
      '\0' => '',
      '\1' => 'To hear message details press 1.',
      '\2' => 'To delete message press 2.',
      '\3' => 'To go to the next message press 3.',
      '\4' => '',
      '\5' => '',
      '\6' => '',
      '\7' => '',
      '\8' => '',
      '\9' => '',
      '\*' => '',
      '\#' => 'To return press pound.',
    ),
    'ivr_notfirst' => array(
      '\0' => 0,
      '\1' => 0,
      '\2' => 0,
      '\3' => 0,
      '\4' => 0,
      '\5' => 0,
      '\6' => 0,
      '\7' => 0,
      '\8' => 0,
      '\9' => 0,
      '\*' => 0,
      '\#' => 0,
    ),
    'ivr_notlast' => array(
      '\0' => 0,
      '\1' => 0,
      '\2' => 0,
      '\3' => 1,
      '\4' => 0,
      '\5' => 0,
      '\6' => 0,
      '\7' => 0,
      '\8' => 0,
      '\9' => 0,
      '\*' => 0,
      '\#' => 0,
    ),
  ));
  $handler->override_option('voipextension_enable', 0);
  $handler->override_option('voipextension_directory_type', 1);
  $handler->override_option('voipextension_title', '');
  $handler->override_option('voipextension_description', '');

  $views[$view->name] = $view;

  return $views;
}
